import { Injector } from '@angular/core';
import { GetRecoveryTokenOptions, Platform, RecoveryToken } from 'tabby-core';
import { BaseTerminalTabComponent } from 'tabby-terminal';
import { TelnetProfile, TelnetSession } from '../session';
/** @hidden */
export declare class TelnetTabComponent extends BaseTerminalTabComponent {
    Platform: typeof Platform;
    profile?: TelnetProfile;
    session: TelnetSession | null;
    private reconnectOffered;
    constructor(injector: Injector);
    ngOnInit(): void;
    protected attachSessionHandlers(): void;
    initializeSession(): Promise<void>;
    getRecoveryToken(options?: GetRecoveryTokenOptions): Promise<RecoveryToken>;
    reconnect(): Promise<void>;
    canClose(): Promise<boolean>;
}
